org.eclipse.actf.model.ui

## Interface IModelServiceHolder

All Known Implementing Classes:
  OOoEditor, WebBrowserEditor

    public interface IModelServiceHolder

This interface is designed to implement together with `IEditorPart`. Implementations are also need to implement `IModelService` to access to model of the content within Editor.

See Also:
  `IEditorPart`, `IModelService`

### Method Summary

Methods
`IEditorPart` `getEditorPart()` Get `IEditorPart` implemented together with this interface
`IModelService` `getModelService()` Get `IModelService` to access to model of the content
`void` `setEditorTitle(String title)` Set title to `IEditorPart` implemented together with this interface

### Method Detail

#### getModelService

    IModelService getModelService()

Get `IModelService` to access to model of the content

Returns:
  `IModelService`

#### getEditorPart

    IEditorPart getEditorPart()

Get `IEditorPart` implemented together with this interface

Returns:
  `IEditorPart`

#### setEditorTitle

    void setEditorTitle(String title)

Set title to `IEditorPart` implemented together with this interface

Parameters:
  `title` - target title